babel-preset-upcoming

7.4.1 • Public • Published

babel-preset-upcoming

Babel preset for upcoming plugins

CircleCI npm dependencies

Similar to @babel/preset-stage-0, without You must pass the "decoratorsLegacy": true option, You must pass the 'pipelineProposal' option, and all future errors.

Plugin dependencies are fixed in this preset, and before upgrading, we will ensure all required plugin options have default value, so that upgrading this preset won't break your builds.

Default options is also more aggressive:

{loose: true, useBuiltIns: true, pipelineProposal: 'minimal'}

Class properties and decorators are not included.

Install

Using npm:

npm install --save-dev babel-preset-upcoming

Options

{
  //Top level options will be applied to all applicable plugins
  loose: true,
  useBuiltIns: true,
  pipelineProposal: true,
 
  //Plugin specific options overrides others
  '@babel/proposal-object-rest-spread': {
    loose: true
  }
}

Readme

Keywords

none

Package Sidebar

Install

npm i babel-preset-upcoming

Weekly Downloads

2

Version

7.4.1

License

MIT

Unpacked Size

6.89 kB

Total Files

6

Last publish

Collaborators

  • dk00